/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include <iostream>
#include <boost/filesystem/path.hpp>
#include <boost/algorithm/string.hpp>
#include "config.h"
#include <cmath>

const int numOfFunctions=9;
const int numOfTests=2;

class WBSTTester
{
public:
	WBSTTester();
	~WBSTTester();
	void Init();
	void Start();
private:
	void printResults();
	boost::filesystem::path prepareConfigFile();
	void readResults();
	double results[numOfFunctions][numOfTests];

};
